<div>
    <h2 id="page-heading">
        <span>Meets</span>
        <button id="jh-create-entity" class="btn btn-primary float-right jh-create-entity create-meet" [routerLink]="['/meet/new']">
            <fa-icon [icon]="'plus'"></fa-icon>
            <span >
            Create new Meet
            </span>
        </button>
    </h2>
    <jhi-alert></jhi-alert>
    <br/>
    <div class="table-responsive" *ngIf="meets">
        <table class="table table-striped">
            <thead>
            <tr jhiSort [(predicate)]="predicate" [(ascending)]="reverse" [callback]="transition.bind(this)">
            <th jhiSortBy="id"><span>ID</span> <fa-icon [icon]="'sort'"></fa-icon></th>
            <th jhiSortBy="startingDate"><span>Starting Date</span> <fa-icon [icon]="'sort'"></fa-icon></th>
            <th jhiSortBy="endingDate"><span>Ending Date</span> <fa-icon [icon]="'sort'"></fa-icon></th>
            <th jhiSortBy="priorityId"><span>Priority</span> <fa-icon [icon]="'sort'"></fa-icon></th>
            <th jhiSortBy="meetTypeId"><span>Meet Type</span> <fa-icon [icon]="'sort'"></fa-icon></th>
            <th></th>
            </tr>
            </thead>
            <tbody>
            <tr *ngFor="let meet of meets ;trackBy: trackId">
                <td><a [routerLink]="['/meet', meet.id, 'view' ]">{{meet.id}}</a></td>
                <td>{{meet.startingDate | date:'medium'}}</td>
                <td>{{meet.endingDate | date:'medium'}}</td>
                <td>
                    <div *ngIf="meet.priorityId">
                        <a [routerLink]="['../priority', meet.priorityId , 'view' ]" >{{meet.priorityId}}</a>
                    </div>
                </td>
                <td>
                    <div *ngIf="meet.meetTypeId">
                        <a [routerLink]="['../meet-type', meet.meetTypeId , 'view' ]" >{{meet.meetTypeId}}</a>
                    </div>
                </td>
                <td class="text-right">
                    <div class="btn-group">
                        <button type="submit"
                                [routerLink]="['/meet', meet.id, 'view' ]"
                                class="btn btn-info btn-sm">
                            <fa-icon [icon]="'eye'"></fa-icon>
                            <span class="d-none d-md-inline">View</span>
                        </button>
                        <button type="submit"
                                [routerLink]="['/meet', meet.id, 'edit']"
                                class="btn btn-primary btn-sm">
                            <fa-icon [icon]="'pencil-alt'"></fa-icon>
                            <span class="d-none d-md-inline">Edit</span>
                        </button>
                        <button type="submit"
                                [routerLink]="['/', 'meet', { outlets: { popup: meet.id + '/delete'} }]"
                                replaceUrl="true"
                                queryParamsHandling="merge"
                                class="btn btn-danger btn-sm">
                            <fa-icon [icon]="'times'"></fa-icon>
                            <span class="d-none d-md-inline">Delete</span>
                        </button>
                    </div>
                </td>
            </tr>
            </tbody>
        </table>
    </div>
    <!-- Pager is not implemented yet, so this is normal pagination instead -->
    <div *ngIf="meets && meets.length">
        <div class="row justify-content-center">
            <jhi-item-count [page]="page" [total]="totalItems" [itemsPerPage]="itemsPerPage"></jhi-item-count>
        </div>
        <div class="row justify-content-center">
            <ngb-pagination [collectionSize]="totalItems" [(page)]="page" [pageSize]="itemsPerPage" [maxSize]="5" [rotate]="true" [boundaryLinks]="true" (pageChange)="loadPage(page)"></ngb-pagination>
        </div>
    </div>
</div>
